be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class NotifyAdmissionAcceptedResponseType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.NotifyAdmissionAcceptedResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class NotifyAdmissionAcceptedResponseType
      extends Object
      implements Serializable

  Java class for NotifyAdmissionAcceptedResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NotifyAdmissionAcceptedResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AcceptedAdmission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedAdmissionType"/>
               <element name="CreatedBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedBedPeriodListType" minOccurs="0"/>
               <element name="ModifiedBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedBedPeriodListType" minOccurs="0"/>
               <element name="CancelledBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledBedPeriodListType" minOccurs="0"/>
               <element name="CreatedTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedTemporaryAbsenceListType" minOccurs="0"/>
               <element name="ModifiedTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedTemporaryAbsenceListType" minOccurs="0"/>
               <element name="CancelledTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledTemporaryAbsenceListType" minOccurs="0"/>
               <element name="DependencyCategoryView" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}DependencyCategoryViewType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyAdmissionAcceptedResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcceptedAdmissionType` | `getAcceptedAdmission()` Gets the value of the acceptedAdmission property.
    `CancelledBedPeriodListType` | `getCancelledBedPeriodList()` Gets the value of the cancelledBedPeriodList property.
    `CancelledTemporaryAbsenceListType` | `getCancelledTemporaryAbsenceList()` Gets the value of the cancelledTemporaryAbsenceList property.
    `AcceptedBedPeriodListType` | `getCreatedBedPeriodList()` Gets the value of the createdBedPeriodList property.
    `AcceptedTemporaryAbsenceListType` | `getCreatedTemporaryAbsenceList()` Gets the value of the createdTemporaryAbsenceList property.
    `DependencyCategoryViewType` | `getDependencyCategoryView()` Gets the value of the dependencyCategoryView property.
    `AcceptedBedPeriodListType` | `getModifiedBedPeriodList()` Gets the value of the modifiedBedPeriodList property.
    `AcceptedTemporaryAbsenceListType` | `getModifiedTemporaryAbsenceList()` Gets the value of the modifiedTemporaryAbsenceList property.
    `void` | `setAcceptedAdmission(AcceptedAdmissionType value)` Sets the value of the acceptedAdmission property.
    `void` | `setCancelledBedPeriodList(CancelledBedPeriodListType value)` Sets the value of the cancelledBedPeriodList property.
    `void` | `setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)` Sets the value of the cancelledTemporaryAbsenceList property.
    `void` | `setCreatedBedPeriodList(AcceptedBedPeriodListType value)` Sets the value of the createdBedPeriodList property.
    `void` | `setCreatedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)` Sets the value of the createdTemporaryAbsenceList property.
    `void` | `setDependencyCategoryView(DependencyCategoryViewType value)` Sets the value of the dependencyCategoryView property.
    `void` | `setModifiedBedPeriodList(AcceptedBedPeriodListType value)` Sets the value of the modifiedBedPeriodList property.
    `void` | `setModifiedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)` Sets the value of the modifiedTemporaryAbsenceList property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifyAdmissionAcceptedResponseType

          public NotifyAdmissionAcceptedResponseType()

  - ### Method Detail

    - #### getAcceptedAdmission

          public AcceptedAdmissionType getAcceptedAdmission()

      Gets the value of the acceptedAdmission property.
      Returns:
        possible object is `AcceptedAdmissionType`

    - #### setAcceptedAdmission

          public void setAcceptedAdmission(AcceptedAdmissionType value)

      Sets the value of the acceptedAdmission property.
      Parameters:
        `value` - allowed object is `AcceptedAdmissionType`

    - #### getCreatedBedPeriodList

          public AcceptedBedPeriodListType getCreatedBedPeriodList()

      Gets the value of the createdBedPeriodList property.
      Returns:
        possible object is `AcceptedBedPeriodListType`

    - #### setCreatedBedPeriodList

          public void setCreatedBedPeriodList(AcceptedBedPeriodListType value)

      Sets the value of the createdBedPeriodList property.
      Parameters:
        `value` - allowed object is `AcceptedBedPeriodListType`

    - #### getModifiedBedPeriodList

          public AcceptedBedPeriodListType getModifiedBedPeriodList()

      Gets the value of the modifiedBedPeriodList property.
      Returns:
        possible object is `AcceptedBedPeriodListType`

    - #### setModifiedBedPeriodList

          public void setModifiedBedPeriodList(AcceptedBedPeriodListType value)

      Sets the value of the modifiedBedPeriodList property.
      Parameters:
        `value` - allowed object is `AcceptedBedPeriodListType`

    - #### getCancelledBedPeriodList

          public CancelledBedPeriodListType getCancelledBedPeriodList()

      Gets the value of the cancelledBedPeriodList property.
      Returns:
        possible object is `CancelledBedPeriodListType`

    - #### setCancelledBedPeriodList

          public void setCancelledBedPeriodList(CancelledBedPeriodListType value)

      Sets the value of the cancelledBedPeriodList property.
      Parameters:
        `value` - allowed object is `CancelledBedPeriodListType`

    - #### getCreatedTemporaryAbsenceList

          public AcceptedTemporaryAbsenceListType getCreatedTemporaryAbsenceList()

      Gets the value of the createdTemporaryAbsenceList property.
      Returns:
        possible object is `AcceptedTemporaryAbsenceListType`

    - #### setCreatedTemporaryAbsenceList

          public void setCreatedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)

      Sets the value of the createdTemporaryAbsenceList property.
      Parameters:
        `value` - allowed object is `AcceptedTemporaryAbsenceListType`

    - #### getModifiedTemporaryAbsenceList

          public AcceptedTemporaryAbsenceListType getModifiedTemporaryAbsenceList()

      Gets the value of the modifiedTemporaryAbsenceList property.
      Returns:
        possible object is `AcceptedTemporaryAbsenceListType`

    - #### setModifiedTemporaryAbsenceList

          public void setModifiedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)

      Sets the value of the modifiedTemporaryAbsenceList property.
      Parameters:
        `value` - allowed object is `AcceptedTemporaryAbsenceListType`

    - #### getCancelledTemporaryAbsenceList

          public CancelledTemporaryAbsenceListType getCancelledTemporaryAbsenceList()

      Gets the value of the cancelledTemporaryAbsenceList property.
      Returns:
        possible object is `CancelledTemporaryAbsenceListType`

    - #### setCancelledTemporaryAbsenceList

          public void setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)

      Sets the value of the cancelledTemporaryAbsenceList property.
      Parameters:
        `value` - allowed object is `CancelledTemporaryAbsenceListType`

    - #### getDependencyCategoryView

          public DependencyCategoryViewType getDependencyCategoryView()

      Gets the value of the dependencyCategoryView property.
      Returns:
        possible object is `DependencyCategoryViewType`

    - #### setDependencyCategoryView

          public void setDependencyCategoryView(DependencyCategoryViewType value)

      Sets the value of the dependencyCategoryView property.
      Parameters:
        `value` - allowed object is `DependencyCategoryViewType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.